Change name, description, tags, scope, shares or preview image
PATCH
/v1/artifact-templates/{templateId}
const url = 'https://shareout.site/v1/artifact-templates/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"name":"example","description":"example","tags":["example"],"scope":"private","shared_workspace_ids":["example"],"preview_image":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://shareout.site/v1/artifact-templates/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "name": "example", "description": "example", "tags": [ "example" ], "scope": "private", "shared_workspace_ids": [ "example" ], "preview_image": "example" }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”templateId
required
string
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
description
string
tags
Array<string>
scope
string
shared_workspace_ids
Array<string>
preview_image
PNG/JPEG/WebP data URL
string
Responses
Section titled “Responses”Updated
Not a manager
